Name:           supertux
Version:        0.3.3
Release:        7%{?dist}
Summary:        Jump'n run like game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://supertux.lethargik.org/
Source0:        http://download.berlios.de/supertux/supertux-%{version}.tar.bz2
Patch0:         supertux-0.3.3-desktop.patch
Patch1:         supertux-0.3.3-system-squirrel.patch
Patch2:         supertux-0.3.3-curl.patch
Patch3:         supertux-0.3.3-cstddef.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel >= 1.2.4
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libGLU-devel
BuildRequires:  physfs-devel
BuildRequires:  openal-devel
BuildRequires:  libvorbis-devel
BuildRequires:  squirrel-devel
BuildRequires:  glew-devel
BuildRequires:  boost-devel
BuildRequires:  libcurl-devel
BuildRequires:  gettext
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  sed
Requires:       opengl-games-utils hicolor-icon-theme

%description
SuperTux is a jump'n run like game, Run and jump through multiple worlds,
fighting off enemies by jumping on them or bumping them from below.
Grabbing power-ups and other stuff on the way.


%prep
%setup -q
%patch0 -p1 -b .desktop
%patch1 -p1 -b .system-squirrel
%patch2 -p1 -b .curl
%patch3 -p1 -b .cstddef


%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/squirrel"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/squirrel"
%cmake -DINSTALL_SUBDIR_SHARE=share/supertux2 -DINSTALL_SUBDIR_BIN=bin .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -r $RPM_BUILD_ROOT/usr/share/doc/supertux2
ln -snf opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/supertux2-wrapper

# Desktop file and icon stuff
desktop-file-install --vendor "" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/supertux2.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/supertux.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
rm $RPM_BUILD_ROOT%{_datadir}/pixmaps/supertux.xpm


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc COPYING README WHATSNEW.txt
%{_bindir}/supertux2*
%{_datadir}/supertux2
%{_datadir}/applications/supertux2.desktop
%{_datadir}/icons/hicolor/48x48/apps/supertux.png


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-7
- Rebuilt for c++ ABI breakage

* Sun Jan 15 2012 Dan Horák <dan@danny.cz> - 0.3.3-6
- rebuilt with squirrel 2.2.5

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 05 2011 Tom Callaway <spot@fedoraproject.org> - 0.3.3-4
- rebuild for physfs2

* Thu Jun 30 2011 Nils Philippsen <nils@redhat.com> - 0.3.3-3
- include cstddef header to fix build

* Wed Jun 29 2011 Nils Philippsen <nils@redhat.com> - 0.3.3-3
- fix building with current libcurl

* Mon Jun 20 2011 ajax@redhat.com - 0.3.3-3
- Rebuild for new glew soname

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Apr  6 2010 Hans de Goede <hdegoede@redhat.com> 0.3.3-1
- New upstream release 0.3.3
- As upstream consistently calls this supertux2, do the same
  (rather then renaming it to supertux)
- Move the icon to the FDO icon dir

* Tue Aug 25 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.3.1-9
- Rebuild for new openal

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 01 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.3.1-7
- Fix build with GCC 4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Hans de Goede <hdegoede@redhat.com> 0.3.1-5
- Update description for new trademark guidelines

* Sun Jan 18 2009 Lubomir Rintel <lkundrak@v3.sk> 0.3.1-4
- Fix parsing of translations (#477497)
- Disable debugging console

* Thu Jul 10 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.1-3
- Fix building with gcc-4.3 (bz 434445)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.1-2
- Autorebuild for GCC 4.3

* Tue Jan 08 2008 Steven Pritchard <steve@kspei.com> 0.3.1-1
- Update to 0.3.1.
- Upstream is calling this release "supertux2", so we get rid of the "2".
- Update License.

* Fri Oct 19 2007 Nils Philippsen <nphilipp@redhat.com> 0.3.0-3
- use opengl-games-wrapper.sh from Fedora 7 on (#335701)

* Fri Oct 19 2007 Nils Philippsen <nphilipp@redhat.com> 0.3.0-2
- use opengl-games-wrapper.sh from Fedora 8 on (#335701)

* Tue Feb 13 2007 Steven Pritchard <steve@kspei.com> 0.3.0-1
- Update to 0.3.0.
- Update URL.
- Drop compile fix patch.
- BR: physfs-devel, openal-devel, libvorbis-devel.
- BR: gettext, flex, bison, jam.
- Build uses jam instead of make now.
- Update doc list.
- Minor spec cleanup.

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> 0.1.3-5
- Rebuild

* Sat Jun 03 2006 Steven Pritchard <steve@kspei.com> 0.1.3-4
- BR: libGLU-devel to fix rawhide build

* Tue Feb 07 2006 Steven Pritchard <steve@kspei.com> 0.1.3-3
- Patch to fix compile on rawhide

* Tue Sep 06 2005 Steven Pritchard <steve@kspei.com> 0.1.3-2
- Avoid second .desktop file (#167579)

* Thu Sep 01 2005 Steven Pritchard <steve@kspei.com> 0.1.3-1
- Update to 0.1.3

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.1.2-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Oct 03 2004 Panu Matilainen <pmatilai@welho.com> 0:0.1.2-1
- update to 0.1.2

* Sat May 15 2004 Panu Matilainen <pmatilai@welho.com> 0:0.1.1-0.fdr.2
- add buildrequires libtiff-devel

* Thu May 13 2004 Panu Matilainen <pmatilai@welho.com> 0:0.1.1-0.fdr.1
- Initial RPM release.
